using FnacDirect.Contracts.Online.Model;
using FnacDirect.OrderPipe.Base.Model;
using FnacDirect.OrderPipe.Base.Model.UserInformations;
using FnacDirect.OrderPipe.CM.Model;
using System;
using System.Collections.Generic;
namespace FnacDirect.OrderPipe.CM.Business
{
    public interface IClickAndMagBusiness
    {
        FnacStore.Model.FnacStore GetStoreById(int storeId);
        string GetCellPhone(int customerId);
        bool GetAllowSMS(int customerId);
        bool IsAutoGeneratedMail(string mail, string autoGeneratedMailDomain);
        int CheckEmail(string email, string culture, out string message);
        List<CustomerWithAddress> FindCustomers(Dictionary<CustomerSearchField, string> criterias);
        List<Membership.Model.Entities.Member> FindAdherents(Dictionary<AdherentSearchField, string> criterias, string login, string magasin, out bool maxAtteint);
        void GetCustomerInfosFromPlasticCardNumber(string cardNumber, CreateAccountData cad);
        void GetCustomerInfosFromAdherentNumber(string adherentNumber, DateTime? birthDate, CreateAccountData cad);
        bool IsHomeShipping(IEnumerable<LineGroup> lineGroups);
        string GetAutogeneratedCustomerMail(string firstname, string lastname, string domain);
        byte[] CalcShopArticleThumbprint(IEnumerable<StandardArticle> articles, IUserContextInformations userContextInformations, int idShop, Seller seller);
        byte[] CalcShopArticleThumbprint(IEnumerable<StandardArticle> articles, IUserContextInformations userContextInformations, int idShop);
        void SetAllowSMS(int customerId, bool allowSMS);
        void SetCellPhone(int customerId, string cellPhone);
    }
}
